#ifndef AUDIOMASTERWIDGET_H
#define AUDIOMASTERWIDGET_H

#include <QtGui>
#include <QLabel>
#include <QSlider>
#include <QCheckBox>
#include <QGroupBox>
#include <QVBoxLayout>


class AudioMasterWidget : public QGroupBox
{
    Q_OBJECT

public:
    AudioMasterWidget(QWidget *parent);

    ~AudioMasterWidget();

public slots:
    void updateWatchDMX();

private:
    QCheckBox *m_receiveDMX;
    QTimer *m_watchDMX;

private slots:
   void watchDMXExpired();

};

#endif // AUDIOMASTERWIDGET_H
